Summary: A drag and drop trashcan program.
Name: OffiX-Trash
Version: 2.4
Release: 7
Group: Applications/Productivity
Copyright: GPL
Source: ftp://ftp.leb.net/pub/offix/Trash-2.4.tar.gz
Source1: offix-trash.desktop
Patch: Trash-2.4-Xaw3d.patch
BuildRoot: /var/tmp/OffiX-Trash

%description
OffiX-Trash lets you drop files into the trash.  Those files are moved
into a temporary hidden directory.  You can recover or undelete files
from the trash.  Or you can click the delete all button to
permanently delete the files in the trash.

%prep
%setup -q -n Trash-%{version}
%patch -p1

%build
./configure --prefix=/usr/X11R6 --with-dnd-inc=/usr/X11R6/include/X11 --with-dnd-lib=/usr/X11R6/lib
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
install -c -m 644 src/Trash.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/Trash
strip $RPM_BUILD_ROOT/usr/X11R6/bin/trash

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Applications/
install -m 644 -o root -g root $RPM_SOURCE_DIR/offix-trash.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Applications/ 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README THANKS
%config /usr/X11R6/lib/X11/app-defaults/Trash
/usr/X11R6/bin/trash
/etc/X11/applnk/Applications/offix-trash.desktop 

%changelog
* Mon Jun 28 1999 Tim Powers <timp@redhat.com>
- removed exclusivearch line to allow for sparc builds
- rebuilt for 6.1

* Mon Apr 12 1999 Michael Maher <mike@redhat.com>
- built package 6.0 

* Wed Oct 06 1998 Michael Maher <mike@redhat.com>
- checked spec file
- built pacakge for 5.2

* Tue Jan 27 1998 Otto Hammersmith <otto@redhat.com>
- fixed typo that had this desktop file as offix-printer
- added desktop

* Thu Jan 22 1998 Otto Hammersmith <otto@redhat.com>
- snagged contrib package and cleaned it up a bit.

